/* eslint-disable */
/* tslint:disable */
/**
 * This is an autogenerated file created by the Stencil compiler.
 * It contains typing information for all components that exist in this project.
 */
import { HTMLStencilElement, JSXBase } from "@stencil/core/internal";
import { Err } from "@glass-project1/logging";
import { IEGovId, InputType } from "@glass-project1/glass-toolkit";
import { EGovEntity } from "./utils";
export namespace Components {
    interface AppBank {
    }
    interface AppBankOpen {
    }
    interface AppDisability {
    }
    interface AppDisabilityIssueReport {
    }
    interface AppEgov {
    }
    interface AppEgovCountries {
    }
    interface AppHome {
    }
    interface AppKonstantinos {
    }
    interface AppLandlord {
    }
    interface AppLandlordIssueContract {
    }
    interface AppMoh {
    }
    interface AppMohConvert {
    }
    interface AppMohCreate {
    }
    interface AppMohInsurance {
    }
    interface AppMoj {
    }
    interface AppMojSocial {
    }
    interface AppMojTemp {
    }
    interface AppPdmfc {
    }
    interface AppPdmfcWorkContract {
    }
    /**
     * Entry component to the stencil app
     * should handle the routing (if you are using the router implementation for navigation)
     * and should handle all initialization that is not handled in the global script
     * @class AppRoot
     * results in a {@link HTMLAppRootElement }
     */
    interface AppRoot {
    }
    interface AppSefPermit {
    }
    interface AppSingleSignOn {
    }
    interface EgovListItem {
        "country": string;
        "egovId": string;
        "refresh": (newValue?: string) => Promise<void>;
    }
    interface GlassProxyRequestDisplay {
        "data"?: string;
        "header"?: string;
        "label"?: string;
        "modal"?: HTMLIonModalElement;
    }
    interface GlassWalletInput {
        /**
          * Defines the input mode
         */
        "inputMode": InputType;
        "showOptions": boolean;
    }
}
declare global {
    interface HTMLAppBankElement extends Components.AppBank, HTMLStencilElement {
    }
    var HTMLAppBankElement: {
        prototype: HTMLAppBankElement;
        new (): HTMLAppBankElement;
    };
    interface HTMLAppBankOpenElement extends Components.AppBankOpen, HTMLStencilElement {
    }
    var HTMLAppBankOpenElement: {
        prototype: HTMLAppBankOpenElement;
        new (): HTMLAppBankOpenElement;
    };
    interface HTMLAppDisabilityElement extends Components.AppDisability, HTMLStencilElement {
    }
    var HTMLAppDisabilityElement: {
        prototype: HTMLAppDisabilityElement;
        new (): HTMLAppDisabilityElement;
    };
    interface HTMLAppDisabilityIssueReportElement extends Components.AppDisabilityIssueReport, HTMLStencilElement {
    }
    var HTMLAppDisabilityIssueReportElement: {
        prototype: HTMLAppDisabilityIssueReportElement;
        new (): HTMLAppDisabilityIssueReportElement;
    };
    interface HTMLAppEgovElement extends Components.AppEgov, HTMLStencilElement {
    }
    var HTMLAppEgovElement: {
        prototype: HTMLAppEgovElement;
        new (): HTMLAppEgovElement;
    };
    interface HTMLAppEgovCountriesElement extends Components.AppEgovCountries, HTMLStencilElement {
    }
    var HTMLAppEgovCountriesElement: {
        prototype: HTMLAppEgovCountriesElement;
        new (): HTMLAppEgovCountriesElement;
    };
    interface HTMLAppHomeElement extends Components.AppHome, HTMLStencilElement {
    }
    var HTMLAppHomeElement: {
        prototype: HTMLAppHomeElement;
        new (): HTMLAppHomeElement;
    };
    interface HTMLAppKonstantinosElement extends Components.AppKonstantinos, HTMLStencilElement {
    }
    var HTMLAppKonstantinosElement: {
        prototype: HTMLAppKonstantinosElement;
        new (): HTMLAppKonstantinosElement;
    };
    interface HTMLAppLandlordElement extends Components.AppLandlord, HTMLStencilElement {
    }
    var HTMLAppLandlordElement: {
        prototype: HTMLAppLandlordElement;
        new (): HTMLAppLandlordElement;
    };
    interface HTMLAppLandlordIssueContractElement extends Components.AppLandlordIssueContract, HTMLStencilElement {
    }
    var HTMLAppLandlordIssueContractElement: {
        prototype: HTMLAppLandlordIssueContractElement;
        new (): HTMLAppLandlordIssueContractElement;
    };
    interface HTMLAppMohElement extends Components.AppMoh, HTMLStencilElement {
    }
    var HTMLAppMohElement: {
        prototype: HTMLAppMohElement;
        new (): HTMLAppMohElement;
    };
    interface HTMLAppMohConvertElement extends Components.AppMohConvert, HTMLStencilElement {
    }
    var HTMLAppMohConvertElement: {
        prototype: HTMLAppMohConvertElement;
        new (): HTMLAppMohConvertElement;
    };
    interface HTMLAppMohCreateElement extends Components.AppMohCreate, HTMLStencilElement {
    }
    var HTMLAppMohCreateElement: {
        prototype: HTMLAppMohCreateElement;
        new (): HTMLAppMohCreateElement;
    };
    interface HTMLAppMohInsuranceElement extends Components.AppMohInsurance, HTMLStencilElement {
    }
    var HTMLAppMohInsuranceElement: {
        prototype: HTMLAppMohInsuranceElement;
        new (): HTMLAppMohInsuranceElement;
    };
    interface HTMLAppMojElement extends Components.AppMoj, HTMLStencilElement {
    }
    var HTMLAppMojElement: {
        prototype: HTMLAppMojElement;
        new (): HTMLAppMojElement;
    };
    interface HTMLAppMojSocialElement extends Components.AppMojSocial, HTMLStencilElement {
    }
    var HTMLAppMojSocialElement: {
        prototype: HTMLAppMojSocialElement;
        new (): HTMLAppMojSocialElement;
    };
    interface HTMLAppMojTempElement extends Components.AppMojTemp, HTMLStencilElement {
    }
    var HTMLAppMojTempElement: {
        prototype: HTMLAppMojTempElement;
        new (): HTMLAppMojTempElement;
    };
    interface HTMLAppPdmfcElement extends Components.AppPdmfc, HTMLStencilElement {
    }
    var HTMLAppPdmfcElement: {
        prototype: HTMLAppPdmfcElement;
        new (): HTMLAppPdmfcElement;
    };
    interface HTMLAppPdmfcWorkContractElement extends Components.AppPdmfcWorkContract, HTMLStencilElement {
    }
    var HTMLAppPdmfcWorkContractElement: {
        prototype: HTMLAppPdmfcWorkContractElement;
        new (): HTMLAppPdmfcWorkContractElement;
    };
    /**
     * Entry component to the stencil app
     * should handle the routing (if you are using the router implementation for navigation)
     * and should handle all initialization that is not handled in the global script
     * @class AppRoot
     * results in a {@link HTMLAppRootElement }
     */
    interface HTMLAppRootElement extends Components.AppRoot, HTMLStencilElement {
    }
    var HTMLAppRootElement: {
        prototype: HTMLAppRootElement;
        new (): HTMLAppRootElement;
    };
    interface HTMLAppSefPermitElement extends Components.AppSefPermit, HTMLStencilElement {
    }
    var HTMLAppSefPermitElement: {
        prototype: HTMLAppSefPermitElement;
        new (): HTMLAppSefPermitElement;
    };
    interface HTMLAppSingleSignOnElement extends Components.AppSingleSignOn, HTMLStencilElement {
    }
    var HTMLAppSingleSignOnElement: {
        prototype: HTMLAppSingleSignOnElement;
        new (): HTMLAppSingleSignOnElement;
    };
    interface HTMLEgovListItemElement extends Components.EgovListItem, HTMLStencilElement {
    }
    var HTMLEgovListItemElement: {
        prototype: HTMLEgovListItemElement;
        new (): HTMLEgovListItemElement;
    };
    interface HTMLGlassProxyRequestDisplayElement extends Components.GlassProxyRequestDisplay, HTMLStencilElement {
    }
    var HTMLGlassProxyRequestDisplayElement: {
        prototype: HTMLGlassProxyRequestDisplayElement;
        new (): HTMLGlassProxyRequestDisplayElement;
    };
    interface HTMLGlassWalletInputElement extends Components.GlassWalletInput, HTMLStencilElement {
    }
    var HTMLGlassWalletInputElement: {
        prototype: HTMLGlassWalletInputElement;
        new (): HTMLGlassWalletInputElement;
    };
    interface HTMLElementTagNameMap {
        "app-bank": HTMLAppBankElement;
        "app-bank-open": HTMLAppBankOpenElement;
        "app-disability": HTMLAppDisabilityElement;
        "app-disability-issue-report": HTMLAppDisabilityIssueReportElement;
        "app-egov": HTMLAppEgovElement;
        "app-egov-countries": HTMLAppEgovCountriesElement;
        "app-home": HTMLAppHomeElement;
        "app-konstantinos": HTMLAppKonstantinosElement;
        "app-landlord": HTMLAppLandlordElement;
        "app-landlord-issue-contract": HTMLAppLandlordIssueContractElement;
        "app-moh": HTMLAppMohElement;
        "app-moh-convert": HTMLAppMohConvertElement;
        "app-moh-create": HTMLAppMohCreateElement;
        "app-moh-insurance": HTMLAppMohInsuranceElement;
        "app-moj": HTMLAppMojElement;
        "app-moj-social": HTMLAppMojSocialElement;
        "app-moj-temp": HTMLAppMojTempElement;
        "app-pdmfc": HTMLAppPdmfcElement;
        "app-pdmfc-work-contract": HTMLAppPdmfcWorkContractElement;
        "app-root": HTMLAppRootElement;
        "app-sef-permit": HTMLAppSefPermitElement;
        "app-single-sign-on": HTMLAppSingleSignOnElement;
        "egov-list-item": HTMLEgovListItemElement;
        "glass-proxy-request-display": HTMLGlassProxyRequestDisplayElement;
        "glass-wallet-input": HTMLGlassWalletInputElement;
    }
}
declare namespace LocalJSX {
    interface AppBank {
    }
    interface AppBankOpen {
    }
    interface AppDisability {
    }
    interface AppDisabilityIssueReport {
    }
    interface AppEgov {
    }
    interface AppEgovCountries {
    }
    interface AppHome {
    }
    interface AppKonstantinos {
    }
    interface AppLandlord {
    }
    interface AppLandlordIssueContract {
    }
    interface AppMoh {
    }
    interface AppMohConvert {
    }
    interface AppMohCreate {
    }
    interface AppMohInsurance {
    }
    interface AppMoj {
    }
    interface AppMojSocial {
    }
    interface AppMojTemp {
    }
    interface AppPdmfc {
    }
    interface AppPdmfcWorkContract {
    }
    /**
     * Entry component to the stencil app
     * should handle the routing (if you are using the router implementation for navigation)
     * and should handle all initialization that is not handled in the global script
     * @class AppRoot
     * results in a {@link HTMLAppRootElement }
     */
    interface AppRoot {
    }
    interface AppSefPermit {
    }
    interface AppSingleSignOn {
    }
    interface EgovListItem {
        "country"?: string;
        "egovId"?: string;
    }
    interface GlassProxyRequestDisplay {
        "data"?: string;
        "header"?: string;
        "label"?: string;
        "modal"?: HTMLIonModalElement;
    }
    interface GlassWalletInput {
        /**
          * Defines the input mode
         */
        "inputMode"?: InputType;
        "showOptions"?: boolean;
    }
    interface IntrinsicElements {
        "app-bank": AppBank;
        "app-bank-open": AppBankOpen;
        "app-disability": AppDisability;
        "app-disability-issue-report": AppDisabilityIssueReport;
        "app-egov": AppEgov;
        "app-egov-countries": AppEgovCountries;
        "app-home": AppHome;
        "app-konstantinos": AppKonstantinos;
        "app-landlord": AppLandlord;
        "app-landlord-issue-contract": AppLandlordIssueContract;
        "app-moh": AppMoh;
        "app-moh-convert": AppMohConvert;
        "app-moh-create": AppMohCreate;
        "app-moh-insurance": AppMohInsurance;
        "app-moj": AppMoj;
        "app-moj-social": AppMojSocial;
        "app-moj-temp": AppMojTemp;
        "app-pdmfc": AppPdmfc;
        "app-pdmfc-work-contract": AppPdmfcWorkContract;
        "app-root": AppRoot;
        "app-sef-permit": AppSefPermit;
        "app-single-sign-on": AppSingleSignOn;
        "egov-list-item": EgovListItem;
        "glass-proxy-request-display": GlassProxyRequestDisplay;
        "glass-wallet-input": GlassWalletInput;
    }
}
export { LocalJSX as JSX };
declare module "@stencil/core" {
    export namespace JSX {
        interface IntrinsicElements {
            "app-bank": LocalJSX.AppBank & JSXBase.HTMLAttributes<HTMLAppBankElement>;
            "app-bank-open": LocalJSX.AppBankOpen & JSXBase.HTMLAttributes<HTMLAppBankOpenElement>;
            "app-disability": LocalJSX.AppDisability & JSXBase.HTMLAttributes<HTMLAppDisabilityElement>;
            "app-disability-issue-report": LocalJSX.AppDisabilityIssueReport & JSXBase.HTMLAttributes<HTMLAppDisabilityIssueReportElement>;
            "app-egov": LocalJSX.AppEgov & JSXBase.HTMLAttributes<HTMLAppEgovElement>;
            "app-egov-countries": LocalJSX.AppEgovCountries & JSXBase.HTMLAttributes<HTMLAppEgovCountriesElement>;
            "app-home": LocalJSX.AppHome & JSXBase.HTMLAttributes<HTMLAppHomeElement>;
            "app-konstantinos": LocalJSX.AppKonstantinos & JSXBase.HTMLAttributes<HTMLAppKonstantinosElement>;
            "app-landlord": LocalJSX.AppLandlord & JSXBase.HTMLAttributes<HTMLAppLandlordElement>;
            "app-landlord-issue-contract": LocalJSX.AppLandlordIssueContract & JSXBase.HTMLAttributes<HTMLAppLandlordIssueContractElement>;
            "app-moh": LocalJSX.AppMoh & JSXBase.HTMLAttributes<HTMLAppMohElement>;
            "app-moh-convert": LocalJSX.AppMohConvert & JSXBase.HTMLAttributes<HTMLAppMohConvertElement>;
            "app-moh-create": LocalJSX.AppMohCreate & JSXBase.HTMLAttributes<HTMLAppMohCreateElement>;
            "app-moh-insurance": LocalJSX.AppMohInsurance & JSXBase.HTMLAttributes<HTMLAppMohInsuranceElement>;
            "app-moj": LocalJSX.AppMoj & JSXBase.HTMLAttributes<HTMLAppMojElement>;
            "app-moj-social": LocalJSX.AppMojSocial & JSXBase.HTMLAttributes<HTMLAppMojSocialElement>;
            "app-moj-temp": LocalJSX.AppMojTemp & JSXBase.HTMLAttributes<HTMLAppMojTempElement>;
            "app-pdmfc": LocalJSX.AppPdmfc & JSXBase.HTMLAttributes<HTMLAppPdmfcElement>;
            "app-pdmfc-work-contract": LocalJSX.AppPdmfcWorkContract & JSXBase.HTMLAttributes<HTMLAppPdmfcWorkContractElement>;
            /**
             * Entry component to the stencil app
             * should handle the routing (if you are using the router implementation for navigation)
             * and should handle all initialization that is not handled in the global script
             * @class AppRoot
             * results in a {@link HTMLAppRootElement }
             */
            "app-root": LocalJSX.AppRoot & JSXBase.HTMLAttributes<HTMLAppRootElement>;
            "app-sef-permit": LocalJSX.AppSefPermit & JSXBase.HTMLAttributes<HTMLAppSefPermitElement>;
            "app-single-sign-on": LocalJSX.AppSingleSignOn & JSXBase.HTMLAttributes<HTMLAppSingleSignOnElement>;
            "egov-list-item": LocalJSX.EgovListItem & JSXBase.HTMLAttributes<HTMLEgovListItemElement>;
            "glass-proxy-request-display": LocalJSX.GlassProxyRequestDisplay & JSXBase.HTMLAttributes<HTMLGlassProxyRequestDisplayElement>;
            "glass-wallet-input": LocalJSX.GlassWalletInput & JSXBase.HTMLAttributes<HTMLGlassWalletInputElement>;
        }
    }
}
